'use strict';

var React = require('react');

function _interopNamespaceDefault(e) {
  var n = Object.create(null);
  if (e) {
    Object.keys(e).forEach(function (k) {
      if (k !== 'default') {
        var d = Object.getOwnPropertyDescriptor(e, k);
        Object.defineProperty(n, k, d.get ? d : {
          enumerable: true,
          get: function () { return e[k]; }
        });
      }
    });
  }
  n.default = e;
  return Object.freeze(n);
}

var React__namespace = /*#__PURE__*/_interopNamespaceDefault(React);

var _g, _defs;
var _excluded = ["title", "titleId"];
function _extends() { return _extends = Object.assign ? Object.assign.bind() : function (n) { for (var e = 1; e < arguments.length; e++) { var t = arguments[e]; for (var r in t) ({}).hasOwnProperty.call(t, r) && (n[r] = t[r]); } return n; }, _extends.apply(null, arguments); }
function _objectWithoutProperties(e, t) { if (null == e) return {}; var o, r, i = _objectWithoutPropertiesLoose(e, t); if (Object.getOwnPropertySymbols) { var n = Object.getOwnPropertySymbols(e); for (r = 0; r < n.length; r++) o = n[r], -1 === t.indexOf(o) && {}.propertyIsEnumerable.call(e, o) && (i[o] = e[o]); } return i; }
function _objectWithoutPropertiesLoose(r, e) { if (null == r) return {}; var t = {}; for (var n in r) if ({}.hasOwnProperty.call(r, n)) { if (-1 !== e.indexOf(n)) continue; t[n] = r[n]; } return t; }
var SvgWhatsapp = function SvgWhatsapp(_ref) {
  var title = _ref.title,
    titleId = _ref.titleId,
    props = _objectWithoutProperties(_ref, _excluded);
  return /*#__PURE__*/React__namespace.createElement("svg", _extends({
    xmlns: "http://www.w3.org/2000/svg",
    fill: "none",
    viewBox: "0 0 24 24",
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React__namespace.createElement("title", {
    id: titleId
  }, title) : null, _g || (_g = /*#__PURE__*/React__namespace.createElement("g", {
    clipPath: "url(#Whatsapp_svg__a)"
  }, /*#__PURE__*/React__namespace.createElement("path", {
    fill: "currentColor",
    d: "M18.37 5.635A8.94 8.94 0 0 0 12.01 3c-4.955 0-8.988 4.031-8.99 8.987-.001 1.583.413 3.13 1.2 4.492L3 21l4.71-1.113a9 9 0 0 0 4.296 1.094h.003c4.955 0 8.988-4.032 8.991-8.986a8.93 8.93 0 0 0-2.63-6.36M16.41 15.2c-.187.524-1.104 1.03-1.517 1.067-.412.038-.798.186-2.695-.562-2.284-.9-3.726-3.24-3.837-3.39-.113-.15-.917-1.218-.917-2.323s.58-1.649.786-1.873a.82.82 0 0 1 .6-.28c.15 0 .3 0 .43.005.16.006.337.014.506.388.2.444.636 1.555.692 1.668s.093.243.019.393c-.075.15-.113.243-.224.374-.113.132-.236.293-.337.393-.112.112-.23.235-.099.459s.582.96 1.25 1.555c.858.765 1.58 1.002 1.806 1.115s.355.093.487-.057c.131-.15.561-.655.71-.88.15-.225.3-.187.506-.112.207.074 1.31.618 1.535.73.225.113.375.169.43.262.056.093.056.543-.131 1.068"
  }))), _defs || (_defs = /*#__PURE__*/React__namespace.createElement("defs", null, /*#__PURE__*/React__namespace.createElement("clipPath", {
    id: "Whatsapp_svg__a"
  }, /*#__PURE__*/React__namespace.createElement("path", {
    d: "M0 0h24v24H0z"
  })))));
};

exports.ReactComponent = SvgWhatsapp;
